Bug 985725 - gitolite3 package lists Subversion as a dependency
gitolite3 package lists Subversion as a dependency
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gitolite3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 02:00 EDT by Jeff Weiner
Modified: 2013-07-19 00:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 10:02:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiner 2013-07-18 02:00:33 EDT
Is there a reason why subversion is a dependency for gitolite3?  I don't see this requirement in other distributions (I checked Gentoo and Debian), and it isn't listed in upstream's list of requirements.

I suspect it's just a mistake, so I thought I'd bring it up. :)
Comment 1 Gwyn Ciesla 2013-07-18 10:02:53 EDT
Actually it needs the svnserve command for /usr/share/gitolite3/commands/svnserve.
Comment 2 Jeff Weiner 2013-07-19 00:02:38 EDT
gitolite v2 supports svnserve too I think, but it's not a requirement over there.  Seems inconsistent.  I want subversion on my machine anyways either way, so it's not a big deal to me.  I just wanted to bring it up, and since the requirement is intentional, I'm okay with it.

Note You need to log in before you can comment on or make changes to this bug.